### Function

# Eog thumbnail_fit_to_size

#### Declaration [src]

    GdkPixbuf*
    eog_thumbnail_fit_to_size (
      GdkPixbuf* thumbnail,
      gint dimension
    )

#### Description [src]

Ensures a pixbuf fits a given `dimension`.

#### Parameters

`thumbnail`

  Type: `GdkPixbuf`

  A `GdkPixbuf`.

  The data is owned by the caller of the function.

`dimension`

  Type: `gint`

  The maximum width or height desired.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf`.

The caller of the function takes ownership of the data, and is responsible for freeing it.